Support Bundles
List Support Bundles
/hardware/v1/support-bundles
List the organization's support bundles. Filter by computer.id to list one computer's bundles.
Requires a bearer access token for this API with the Organization.SupportBundle.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/support-bundles" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Start Support Bundle Upload
/hardware/v1/support-bundles
Start a support bundle upload. Returns a reference to quote to Cambrionix support and a one-time URL to PUT the zip to within 30 minutes; then call complete. Returns 429 when the organization's upload limits are reached.
Requires a bearer access token for this API with the Organization.SupportBundle.Write permission. See Authentication.
Request body
A support bundle the caller is about to upload.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
A one-time upload location for a support bundle.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/support-bundles" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "bytes": 0, "caseReference": "string", "cliVersion": "string", "computerId": "00000000-0000-0000-0000-000000000000", "fileName": "string", "sha256": "string" }'
Get Support Bundle
/hardware/v1/support-bundles/{supportBundleId}
Get a support bundle. Uploaded bundles include a download link that works for 5 minutes.
Requires a bearer access token for this API with the Organization.SupportBundle.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/support-bundles/{supportBundleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Delete Support Bundle
/hardware/v1/support-bundles/{supportBundleId}
Delete a support bundle and its file.
Requires a bearer access token for this API with the Organization.SupportBundle.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/support-bundles/{supportBundleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Complete Support Bundle Upload
/hardware/v1/support-bundles/{supportBundleId}/complete
Finish a support bundle upload. The file must match the declared size and be a zip archive; otherwise it is deleted and the bundle is marked rejected.
Requires a bearer access token for this API with the Organization.SupportBundle.Write permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
A support bundle uploaded from one of the organization's computers.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/support-bundles/{supportBundleId}/complete" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"